Resolve an ENS Name to an Address
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": "0xcefcc00a025d6bcc259d082c883144c36c17903f"
}
ENS
Resolve an ENS Name to an Address
Resolves an ENS name or onchain subdomain to its Ethereum address.
GET
/
v2
/
api
Resolve an ENS Name to an Address
Ethereum
Available on Free and paid plans. Free users are limited to 1 call/second. Paid users follow their plan’s rate limit.
Supported Names
ENS names and subdomains, such asetherscan.eth or gm.etherscan.eth are supported.
Names that require offchain resolution following EIP-3668: CCIP Read & ENSIP-10: Wildcard Resolution, such as
jesse.base.eth are not supported.Results are cached for up to 5 mins, onchain name changes will reflect automatically after this period.
{
"status": "1",
"message": "OK",
"result": "0xcefcc00a025d6bcc259d082c883144c36c17903f"
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Chain ID to query. Use 1 for Ethereum mainnet. This endpoint is only available on Ethereum mainnet.
Set to ens for this endpoint.
Set to forwardresolve for this endpoint.
The ENS name to resolve, such as etherscan.eth or gm.etherscan.eth.
Response
200 - application/json
Successful response
1 on success, or 0 when the request fails.
OK on success, otherwise an error description such as NOTOK. See common error messages.
The resolved Ethereum address on success.